LOGRESOLVE(8)

NAME
logresolve - resolve hostnames for IP addresses in Apache logfiles

SYNOPSIS
logresolve [-c] [-s filename] access_log access_log.new

DESCRIPTION
logresolve is a post-processing program to resolve IP addresses in httpd(8)'s access logfiles. To minimize impact on the nameserver, logresolve has its very own internal hash-table cache. This means that each IP number will only be looked up the first time it is found in the log file.

The following options are supported:

-c  This causes logresolve to apply some DNS checks: after finding the hostname from the IP address, it looks up the IP addresses for the hostname and checks that one of them matches the original address.

-s filename
    Specifies the filename to record statistics.

SEE ALSO
httpd(8), rotatelogs(8)